---
name: Bug Report
about: Report a bug to help improve PyTado.
title: "[Bug]: "
labels: bug
assignees: ''
---

## Describe the Bug
A clear and concise description of what the bug is.

**Example:**
"The PyTado integration fails to update the thermostat state when attempting to set the temperature."

---

## Steps to Reproduce
Steps to reproduce the behavior:
1. Go to '...'
2. Click on '...'
3. Observe '...'

**Expected behavior:**
Explain what you expected to happen.

**Actual behavior:**
Explain what actually happened.

---

## Environment
Provide details about your environment where the bug occurred:
- **PyTado Version:** e.g., `v1.2.3`
- **Python Version:** e.g., `3.10`
- **Operating System:** e.g., `Windows 10`, `Ubuntu 22.04`
- **Tado Firmware Version (if applicable):** e.g., `88.1`
- **Tado Generation:** e.g., `v1`, `v2` or `line_x`

---

## Logs and Error Messages
If applicable, provide logs, error messages, or screenshots:
```plaintext
Paste any relevant error message or logs here.
```

---

## Additional Context
Add any other context about the problem here. If the issue is related to a specific API call or a particular Tado configuration, please specify it.

---

### Checklist
- [ ] I have searched the existing issues and discussions to ensure this is not a duplicate.
- [ ] I have provided all necessary information above to help reproduce the bug.
- [ ] I have included relevant logs or screenshots (if applicable).

Thank you for helping to improve PyTado! 😊
